Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2ErrorHandler Class Reference

A Xabsl2Engine helper class for handling errors and debug messages. More...

`#include <Xabsl2Tools.h>`

Inheritance diagram for Xabsl2ErrorHandler:

[legend]
List of all members.

## Public Member Functions
| Xabsl2ErrorHandler ()
| constructor
virtual void | printError (const char *text)=0
| Prints out an error.
virtual void | printMessage (const char *text)=0
| Prints out a message.
void | error (const char *format,...)
| Formats a error message and calls the printError() function.
void | message (const char *format,...)
| Formats a message and calls the printMessage() function.
## Public Attributes
bool | errorsOccurred
| if errors occurred
## Private Attributes
char | messageBuffer [300]
| a buffer for errors and debug messages

## Detailed Description

A Xabsl2Engine helper class for handling errors and debug messages.

Definition at line 42 of file Xabsl2Tools.h.

## Constructor & Destructor Documentation

Xabsl2ErrorHandler::Xabsl2ErrorHandler | ( |  | ) | `[inline]`

| constructor Definition at line 46 of file Xabsl2Tools.h. References errorsOccurred.

## Member Function Documentation

virtual void Xabsl2ErrorHandler::printError | ( | const char * | text | ) | `[pure virtual]`

  | Prints out an error. Parameters:
  text | The text to display
Implemented in GTXabsl2ErrorHandler. Referenced by error().

virtual void Xabsl2ErrorHandler::printMessage | ( | const char * | text | ) | `[pure virtual]`

  | Prints out a message. Parameters:
  text | The text to display
Implemented in GTXabsl2ErrorHandler. Referenced by message().

void Xabsl2ErrorHandler::error | ( | const char * | format,
|  | ... |
| ) |

  | Formats a error message and calls the printError() function. Parameters:
  format | Format string as used by printf defined in stdio.h.
  ... | See printf in stdio.h.
Definition at line 14 of file Xabsl2Tools.cpp. References errorsOccurred, messageBuffer, and printError(). Referenced by Xabsl2Engine::checkForLoops(), Xabsl2Option::create(), Xabsl2State::create(), Xabsl2DecimalExpression::create(), Xabsl2BooleanExpression::create(), Xabsl2DecimalExpression::createOperand(), Xabsl2BooleanExpression::createOperand(), Xabsl2Engine::createOptionGraph(), Xabsl2Statement::createStatement(), Xabsl2Engine::registerBasicBehavior(), Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputFunction(), Xabsl2Symbols::registerDecimalInputFunctionParameter(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), Xabsl2BasicBehavior::registerParameter(), Xabsl2BooleanInputSymbolRef::Xabsl2BooleanInputSymbolRef(), Xabsl2ConditionalExpression::Xabsl2ConditionalExpression(), Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall(), Xabsl2DecimalInputSymbolRef::Xabsl2DecimalInputSymbolRef(), Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison(), Xabsl2IfElseBlock::Xabsl2IfElseBlock(), and Xabsl2OptionParameterRef::Xabsl2OptionParameterRef().

Here is the call graph for this function:

void Xabsl2ErrorHandler::message | ( | const char * | format,
|  | ... |
| ) |

  | Formats a message and calls the printMessage() function. Parameters:
  format | Format string as used by printf defined in stdio.h.
  ... | See printf in stdio.h.
Definition at line 30 of file Xabsl2Tools.cpp. References messageBuffer, and printMessage(). Referenced by Xabsl2Option::create(), Xabsl2State::create(), Xabsl2DecimalExpression::create(), Xabsl2BooleanExpression::create(), Xabsl2Engine::createOptionGraph(), GTXabsl2EngineExecutor::init(), Xabsl2Engine::registerBasicBehavior(), Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputFunction(), Xabsl2Symbols::registerDecimalInputFunctionParameter(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), Xabsl2BasicBehavior::registerParameter(), Xabsl2Agent::Xabsl2Agent(), Xabsl2BooleanInputSymbolRef::Xabsl2BooleanInputSymbolRef(), Xabsl2ConditionalExpression::Xabsl2ConditionalExpression(), Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall(), Xabsl2DecimalInputSymbolRef::Xabsl2DecimalInputSymbolRef(), Xabsl2DecimalValue::Xabsl2DecimalValue(), Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison(), Xabsl2IfElseBlock::Xabsl2IfElseBlock(), Xabsl2Option::Xabsl2Option(), Xabsl2OptionParameterRef::Xabsl2OptionParameterRef(), Xabsl2subsequentOptionReachedTargetStateCondition::Xabsl2subsequentOptionReachedTargetStateCondition(), Xabsl2TimeRef::Xabsl2TimeRef(), and Xabsl2TransitionToState::Xabsl2TransitionToState().

Here is the call graph for this function:

## Member Data Documentation

bool Xabsl2ErrorHandler::errorsOccurred

| if errors occurred Definition at line 75 of file Xabsl2Tools.h. Referenced by Xabsl2Option::create(), Xabsl2State::create(), Xabsl2DecimalExpression::createOperand(), Xabsl2BooleanExpression::createOperand(), Xabsl2Engine::createOptionGraph(), error(), GTXabsl2EngineExecutor::executeEngine(), GTXabsl2EngineExecutor::init(), Xabsl2ConditionalExpression::Xabsl2ConditionalExpression(), Xabsl2ErrorHandler(), and Xabsl2IfElseBlock::Xabsl2IfElseBlock().

char Xabsl2ErrorHandler::messageBuffer[300]`[private]`

| a buffer for errors and debug messages Definition at line 79 of file Xabsl2Tools.h. Referenced by error(), and message().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Tools.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2Tools.cpp